Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001834KdenliveBuild Systempublic2010-09-29 13:322011-06-10 10:48
Reportersunab 
Assigned Toj-b-m 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformallOSUbuntu LinuxOS Version9.10 and 9.04
Product VersionRecent git 
Target VersionFixed in Version0.8 
Summary0001834: Fails to build with KDE < 4.4 (new opengl fullscreen function for video monitor)
DescriptionUsing soyuz building system (Ubuntu ppa) :

revision 4950 (latest) builds fine with KDE >= 4.4 (Ubuntu 10.04 and 10.10).
But with previous versions it fails on :

/build/buildd/kdenlive-0.7.8+svn20100928.r4950/src/videoglwidget.cpp: In member function 'virtual void VideoGLWidget::mouseDoubleClickEvent(QMouseEvent*)':
/build/buildd/kdenlive-0.7.8+svn20100928.r4950/src/videoglwidget.cpp:123: error: 'class QDesktopWidget' has no member named 'screenCount'
make[3]: *** [src/cmake_bindir/CMakeFiles/kdenlive.dir/videoglwidget.o] Error 1


TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0005933)
j-b-m (administrator)
2010-09-29 16:38

Should be fixed in svn rev. 4952
(0005939)
sunab (developer)
2010-09-29 22:29

Fixed. Thanks

- Issue History
Date Modified Username Field Change
2010-09-29 13:32 sunab New Issue
2010-09-29 16:38 j-b-m Note Added: 0005933
2010-09-29 16:38 j-b-m Assigned To => j-b-m
2010-09-29 16:38 j-b-m Status new => feedback
2010-09-29 22:29 sunab Note Added: 0005939
2010-09-29 22:29 sunab Status feedback => assigned
2010-09-29 22:32 j-b-m Status assigned => resolved
2010-09-29 22:32 j-b-m Fixed in Version => Recent git
2010-09-29 22:32 j-b-m Resolution open => fixed
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:48 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker